/*
 * flash_erase.c:
 *
 * Copyright (c) 2002 James McKenzie <james@fishsoup.dhs.org>,
 * All rights reserved.
 *
 */

static char rcsid[] =
  "$Id: flash_erase.c,v 1.2 2002/09/23 13:40:55 root Exp root $";

/*
 * $Log: flash_erase.c,v $
 * Revision 1.2  2002/09/23 13:40:55  root
 * #
 *
 * Revision 1.1  2002/09/23 13:40:53  root
 * #
 *
 */

#include <stdio.h>
#include <fcntl.h>
#include <unistd.h>
#include <stdlib.h>

int
main (int argc, char *argv[])
{
  char buf[512];
  int n = 0;
  float f;
  int fd;

  if (argc != 2)
    {
      fprintf (stderr, "usage: %s flash-device\n", argv[0]);
      exit (1);
    }

  fd = open (argv[1], O_RDWR);
  if (fd < 0)
    {
      perror ("open");
      exit (1);
    }

  memset (buf, 0xff, 512);

  while (write (fd, buf, 512) == 512)
    {
      n++;
      f = (float) n;
      f = f / 2048.0;
      printf ("%d sectors\t%.1fMb\r", n, f);
      fflush (stdout);
    }

  printf ("\n");
  exit (0);
}
